LogicalConnection (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.LogicalConnection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface LogicalConnection

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface LogicalConnection

extends LogicalElement

A logical connection

Naming Rules:
  0="fromIp,fromPort,toIp,toPort"
Persistable:
  true
Table Name:
  LOGCCONN
Display Name:
  fromIp,fromPort,toIp,toPort

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getFromIp()`
`int` | `getFromPort()`
`java.lang.String` | `getToIp()`
`int` | `getToPort()`
`boolean` | `hasFromIp()`
`boolean` | `hasFromPort()`
`boolean` | `hasToIp()`
`boolean` | `hasToPort()`
`void` | `setFromIp(java.lang.String ip)`
`void` | `setFromPort(int p)`
`void` | `setToIp(java.lang.String ip)`
`void` | `setToPort(int p)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getFromIp

    java.lang.String getFromIp()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFromIp

    void setFromIp(java.lang.String ip)

### hasFromIp

    boolean hasFromIp()

### getFromPort

    int getFromPort()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFromPort

    void setFromPort(int p)

### hasFromPort

    boolean hasFromPort()

### getToIp

    java.lang.String getToIp()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setToIp

    void setToIp(java.lang.String ip)

### hasToIp

    boolean hasToIp()

### getToPort

    int getToPort()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setToPort

    void setToPort(int p)

### hasToPort

    boolean hasToPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD